import { U as a, V as e, Y as t, M as s } from "./chunk-OYMX7WX6-CUYLPicN-BOih3xeZ.js";
import { _ as o } from "./index-Bh-wTBlD.js";
var n = {
  parser: t,
  get db() {
    return new s(2);
  },
  renderer: e,
  styles: a,
  init: /* @__PURE__ */ o((r) => {
    r.state || (r.state = {}), r.state.arrowMarkerAbsolute = r.arrowMarkerAbsolute;
  }, "init")
};
export {
  n as diagram
};
